## r-bioc-xvector 0.2.0

=== DESCRIPTION ===
Package: XVector
Title: Representation and manpulation of external sequences
Description: Memory efficient S4 classes for storing sequences "externally"
	(behind an R external pointer, or on disk).
Version: 0.2.0
Author: H. Pages and P. Aboyoun
Maintainer: H. Pages <hpages@fhcrc.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.7.2), IRanges (>=
        1.19.36)
Imports: methods, BiocGenerics, IRanges
LinkingTo: IRanges
Suggests: Biostrings, drosophila2probe, RUnit
License: Artistic-2.0
Collate: SharedVector-class.R SharedRaw-class.R SharedInteger-class.R
        SharedDouble-class.R XVector-class.R XRaw-class.R
        XInteger-class.R XDouble-class.R XVectorList-class.R
        XRawList-class.R XRawList-comparison.R XIntegerViews-class.R
        XDoubleViews-class.R OnDiskRaw-class.R intra-range-methods.R
        compact-methods.R reverse-methods.R slice-methods.R
        view-summarization-methods.R updateObject-methods.R debug.R
        zzz.R
Packaged: 2013-10-15 05:19:06 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.2.0-2) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/control: Add missing r-cran-runit test dependency, and allow
    stderr output.
    Closes: #735537

  [ Andreas Tille ]
  * Standards-Version: 3.9.5

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2014 13:31:06 +0100

r-bioc-xvector (0.2.0-1) unstable; urgency=low

  * Initial release (closes: #728799)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Nov 2013 17:24:35 +0100

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
XS-Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.7.2),
               r-bioc-iranges (>= 1.19.36)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Homepage: http://www.bioconductor.org/packages/release/bioc/html/XVector.html

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-bioc-biocgenerics,
         r-bioc-iranges
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.4.0

=== DESCRIPTION ===
Package: XVector
Title: Representation and manpulation of external sequences
Description: Memory efficient S4 classes for storing sequences "externally"
	(behind an R external pointer, or on disk).
Version: 0.4.0
Author: H. Pages and P. Aboyoun
Maintainer: H. Pages <hpages@fhcrc.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.7.2), IRanges (>=
        1.21.25)
Imports: methods, BiocGenerics, IRanges
LinkingTo: IRanges
Suggests: Biostrings, drosophila2probe, RUnit
License: Artistic-2.0
Collate: SharedVector-class.R SharedRaw-class.R SharedInteger-class.R
        SharedDouble-class.R XVector-class.R XRaw-class.R
        XInteger-class.R XDouble-class.R XVectorList-class.R
        XRawList-class.R XRawList-comparison.R XIntegerViews-class.R
        XDoubleViews-class.R OnDiskRaw-class.R RdaCollection-class.R
        intra-range-methods.R compact-methods.R reverse-methods.R
        slice-methods.R view-summarization-methods.R
        updateObject-methods.R debug.R zzz.R
Packaged: 2014-04-12 07:37:44 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.4.0-1) unstable; urgency=medium

  * New upstream version
  * Versioned Build-Depends: r-bioc-iranges (>= 1.22.8)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jun 2014 09:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.7.2),
-               r-bioc-iranges (>= 1.19.36)
+               r-bioc-iranges (>= 1.22.8)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
@@ -19,8 +18,7 @@
 Depends: ${R:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-         r-bioc-biocgenerics,
-         r-bioc-iranges
+         r-bioc-iranges (>= 1.22.8)
 Description: BioConductor representation and manpulation of external sequences
  This BioConductor package provides memory efficient S4 classes for storing
  sequences "externally" (behind an R external pointer, or on disk).

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/XVector.html .*/XVector_([\d\.]+)\.tar\.gz

## r-bioc-xvector 0.8.0

=== DESCRIPTION ===
Package: XVector
Title: Representation and manpulation of external sequences
Description: Memory efficient S4 classes for storing sequences "externally"
	(behind an R external pointer, or on disk).
Version: 0.8.0
Author: H. Pages and P. Aboyoun
Maintainer: H. Pages <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.11.3), S4Vectors (>=
        0.5.19), IRanges (>= 2.1.38)
Imports: methods, BiocGenerics, S4Vectors, IRanges
LinkingTo: S4Vectors, IRanges
Suggests: Biostrings, drosophila2probe, RUnit
License: Artistic-2.0
Collate: SharedVector-class.R SharedRaw-class.R SharedInteger-class.R
        SharedDouble-class.R XVector-class.R XRaw-class.R
        XInteger-class.R XDouble-class.R XVectorList-class.R
        XRawList-class.R XRawList-comparison.R XIntegerViews-class.R
        XDoubleViews-class.R OnDiskRaw-class.R RdaCollection-class.R
        intra-range-methods.R compact-methods.R reverse-methods.R
        slice-methods.R view-summarization-methods.R
        updateObject-methods.R debug.R zzz.R
NeedsCompilation: yes
Packaged: 2015-04-17 04:24:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 17:52:33 +0200

r-bioc-xvector (0.6.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 18 Oct 2014 07:49:42 +0200

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-iranges (>= 2.2.0)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Homepage: http://www.bioconductor.org/packages/release/bioc/html/XVector.html

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-bioc-iranges (>= 2.2.0)
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.10.0

=== DESCRIPTION ===
Package: XVector
Title: Representation and manpulation of external sequences
Description: Memory efficient S4 classes for storing sequences "externally"
	(behind an R external pointer, or on disk).
Version: 0.10.0
Author: H. Pages and P. Aboyoun
Maintainer: H. Pages <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.11.3), S4Vectors (>=
        0.7.1), IRanges (>= 2.3.7)
Imports: methods, zlibbioc, BiocGenerics, S4Vectors, IRanges
LinkingTo: S4Vectors, IRanges
Suggests: Biostrings, drosophila2probe, RUnit
License: Artistic-2.0
Collate: io-utils.R SharedVector-class.R SharedRaw-class.R
        SharedInteger-class.R SharedDouble-class.R XVector-class.R
        XRaw-class.R XInteger-class.R XDouble-class.R
        XVectorList-class.R XRawList-class.R XRawList-comparison.R
        XIntegerViews-class.R XDoubleViews-class.R OnDiskRaw-class.R
        RdaCollection-class.R intra-range-methods.R compact-methods.R
        reverse-methods.R slice-methods.R view-summarization-methods.R
        updateObject-methods.R debug.R zzz.R
NeedsCompilation: yes
Packaged: 2015-10-14 02:56:50 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * Use Debian packaged zlib

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 22:57:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-bioc-iranges (>= 2.2.0)
+               r-bioc-iranges (>= 2.4.0)
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-xvector/trunk/

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/XVector.html .*/XVector_([\d\.]+)\.tar\.gz

## r-bioc-xvector 0.12.0

=== DESCRIPTION ===
Package: XVector
Title: Representation and manpulation of external sequences
Description: Memory efficient S4 classes for storing sequences "externally"
	(behind an R external pointer, or on disk).
Version: 0.12.0
Encoding: UTF-8
Author: Hervé Pagès and Patrick Aboyoun
Maintainer: Hervé Pagès <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.11.3), S4Vectors (>=
        0.9.29), IRanges (>= 2.5.27)
Imports: methods, zlibbioc, BiocGenerics, S4Vectors, IRanges
LinkingTo: S4Vectors, IRanges
Suggests: Biostrings, drosophila2probe, RUnit
License: Artistic-2.0
Collate: io-utils.R SharedVector-class.R SharedRaw-class.R
        SharedInteger-class.R SharedDouble-class.R XVector-class.R
        XRaw-class.R XInteger-class.R XDouble-class.R
        XVectorList-class.R XRawList-class.R XRawList-comparison.R
        XIntegerViews-class.R XDoubleViews-class.R OnDiskRaw-class.R
        RdaCollection-class.R intra-range-methods.R compact-methods.R
        reverse-methods.R slice-methods.R view-summarization-methods.R
        updateObject-methods.R zzz.R
NeedsCompilation: yes
Packaged: 2016-05-04 04:57:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.12.0-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2016 17:58:43 +0200

r-bioc-xvector (0.12.0-1) unstable; urgency=medium

  * New upstream version
  * Fix versioned Depends
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 18:59:00 +0200

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-iranges (>= 2.6.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Homepage: http://www.bioconductor.org/packages/release/bioc/html/XVector.html

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-bioc-iranges (>= 2.6.0)
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Title: Representation and manpulation of external sequences
 Description: Memory efficient S4 classes for storing sequences "externally"
 	(behind an R external pointer, or on disk).
-Version: 0.12.0
+Version: 0.14.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
 biocViews: Infrastructure, DataRepresentation
-Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.11.3), S4Vectors (>=
+Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
         0.9.29), IRanges (>= 2.5.27)
 Imports: methods, zlibbioc, BiocGenerics, S4Vectors, IRanges
 LinkingTo: S4Vectors, IRanges
@@ -22,4 +22,4 @@
         reverse-methods.R slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 NeedsCompilation: yes
-Packaged: 2016-05-04 04:57:18 UTC; biocbuild
+Packaged: 2016-10-17 23:12:51 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.14.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 12:59:46 +0200

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-bioc-iranges (>= 2.6.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-xvector/trunk/
Homepage: https://bioconductor.org/packages/XVector/

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.16.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Title: Representation and manpulation of external sequences
 Description: Memory efficient S4 classes for storing sequences "externally"
 	(behind an R external pointer, or on disk).
-Version: 0.14.0
+Version: 0.16.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
-        0.9.29), IRanges (>= 2.5.27)
+        0.13.13), IRanges (>= 2.9.18)
 Imports: methods, zlibbioc, BiocGenerics, S4Vectors, IRanges
 LinkingTo: S4Vectors, IRanges
 Suggests: Biostrings, drosophila2probe, RUnit
@@ -22,4 +22,4 @@
         reverse-methods.R slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 NeedsCompilation: yes
-Packaged: 2016-10-17 23:12:51 UTC; biocbuild
+Packaged: 2017-04-24 23:30:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.16.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 11:05:34 +0000

r-bioc-xvector (0.16.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Graham Inggs <ginggs@debian.org>  Fri, 26 May 2017 14:22:18 +0200

## r-bioc-xvector 0.18.0

=== DESCRIPTION ===
Package: XVector
Title: Representation and manipulation of external sequences
Description: Memory efficient S4 classes for storing sequences "externally"
	(behind an R external pointer, or on disk).
Version: 0.18.0
Encoding: UTF-8
Author: Hervé Pagès and Patrick Aboyoun
Maintainer: Hervé Pagès <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
        0.15.14), IRanges (>= 2.9.18)
Imports: methods, zlibbioc, BiocGenerics, S4Vectors, IRanges
LinkingTo: S4Vectors, IRanges
Suggests: Biostrings, drosophila2probe, RUnit
License: Artistic-2.0
Collate: io-utils.R RDS-random-access.R SharedVector-class.R
        SharedRaw-class.R SharedInteger-class.R SharedDouble-class.R
        XVector-class.R XRaw-class.R XInteger-class.R XDouble-class.R
        XVectorList-class.R XRawList-class.R XRawList-comparison.R
        XIntegerViews-class.R XDoubleViews-class.R OnDiskRaw-class.R
        RdaCollection-class.R intra-range-methods.R compact-methods.R
        reverse-methods.R slice-methods.R view-summarization-methods.R
        updateObject-methods.R zzz.R
NeedsCompilation: yes
Packaged: 2017-10-30 23:40:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.18.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 10:55:39 +0100

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-bioc-iranges (>= 2.6.0)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-xvector.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-xvector.git
Homepage: https://bioconductor.org/packages/XVector/

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.20.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Title: Representation and manipulation of external sequences
 Description: Memory efficient S4 classes for storing sequences "externally"
 	(behind an R external pointer, or on disk).
-Version: 0.18.0
+Version: 0.20.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
-        0.15.14), IRanges (>= 2.9.18)
-Imports: methods, zlibbioc, BiocGenerics, S4Vectors, IRanges
+        0.17.24), IRanges (>= 2.13.16)
+Imports: methods, utils, zlibbioc, BiocGenerics, S4Vectors, IRanges
 LinkingTo: S4Vectors, IRanges
 Suggests: Biostrings, drosophila2probe, RUnit
 License: Artistic-2.0
@@ -22,4 +22,4 @@
         reverse-methods.R slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 NeedsCompilation: yes
-Packaged: 2017-10-30 23:40:38 UTC; biocbuild
+Packaged: 2018-04-30 23:45:51 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.20.0-2build1) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Jun 2018 18:46:45 +0000

r-bioc-xvector (0.20.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 08:16:34 +0200

r-bioc-xvector (0.20.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 17:15:18 +0200

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.19.2),
               r-bioc-s4vectors (>= 0.17.24),
               r-bioc-iranges (>= 2.13.16),
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
Homepage: https://bioconductor.org/packages/XVector/

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Title: Representation and manipulation of external sequences
 Description: Memory efficient S4 classes for storing sequences "externally"
 	(behind an R external pointer, or on disk).
-Version: 0.20.0
+Version: 0.22.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
-        0.17.24), IRanges (>= 2.13.16)
+        0.19.15), IRanges (>= 2.15.12)
 Imports: methods, utils, zlibbioc, BiocGenerics, S4Vectors, IRanges
 LinkingTo: S4Vectors, IRanges
 Suggests: Biostrings, drosophila2probe, RUnit
@@ -21,5 +21,10 @@
         RdaCollection-class.R intra-range-methods.R compact-methods.R
         reverse-methods.R slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
+git_url: https://git.bioconductor.org/packages/XVector
+git_branch: RELEASE_3_8
+git_last_commit: b5e107a
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes
-Packaged: 2018-04-30 23:45:51 UTC; biocbuild
+Packaged: 2018-10-30 23:52:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Nov 2018 22:23:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,9 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.19.2),
-               r-bioc-s4vectors (>= 0.17.24),
-               r-bioc-iranges (>= 2.13.16),
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors,
-               r-bioc-iranges
-Standards-Version: 4.1.4
+               r-bioc-s4vectors (>= 0.19.15),
+               r-bioc-iranges (>= 2.15.12)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
 Homepage: https://bioconductor.org/packages/XVector/

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/XVector.html .*/XVector_([\d\.]+)\.tar\.gz

## r-bioc-xvector 0.24.0

=== DESCRIPTION ===
Package: XVector
Title: Foundation of external vector representation and manipulation in
        Bioconductor
Description: Provides memory efficient S4 classes for storing sequences
	"externally" (e.g. behind an R external pointer, or on disk).
Version: 0.24.0
Encoding: UTF-8
Author: Hervé Pagès and Patrick Aboyoun
Maintainer: Hervé Pagès <hpages@fredhutch.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
        0.21.13), IRanges (>= 2.15.12)
Imports: methods, utils, zlibbioc, BiocGenerics, S4Vectors, IRanges
LinkingTo: S4Vectors, IRanges
Suggests: Biostrings, drosophila2probe, RUnit
License: Artistic-2.0
Collate: io-utils.R RDS-random-access.R SharedVector-class.R
        SharedRaw-class.R SharedInteger-class.R SharedDouble-class.R
        XVector-class.R XRaw-class.R XInteger-class.R XDouble-class.R
        XVectorList-class.R XRawList-class.R XRawList-comparison.R
        XIntegerViews-class.R XDoubleViews-class.R OnDiskRaw-class.R
        RdaCollection-class.R intra-range-methods.R compact-methods.R
        reverse-methods.R slice-methods.R view-summarization-methods.R
        updateObject-methods.R zzz.R
git_url: https://git.bioconductor.org/packages/XVector
git_branch: RELEASE_3_9
git_last_commit: e5109cb
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
NeedsCompilation: yes
Packaged: 2019-05-03 00:42:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.24.0-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Remove patch and use r-bioc-zlibbioc.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 14:52:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.19.2),
-               r-bioc-s4vectors (>= 0.19.15),
-               r-bioc-iranges (>= 2.15.12)
-Standards-Version: 4.2.1
+               r-bioc-s4vectors (>= 0.21.13),
+               r-bioc-iranges (>= 2.15.12),
+               r-bioc-zlibbioc
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
 Homepage: https://bioconductor.org/packages/XVector/

## r-bioc-xvector 0.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         Bioconductor
 Description: Provides memory efficient S4 classes for storing sequences
 	"externally" (e.g. behind an R external pointer, or on disk).
-Version: 0.24.0
+Version: 0.26.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
@@ -23,9 +23,9 @@
         reverse-methods.R slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_9
-git_last_commit: e5109cb
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 736c949
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: yes
-Packaged: 2019-05-03 00:42:35 UTC; biocbuild
+Packaged: 2019-10-30 00:39:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2019 07:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.19.2),
                r-bioc-s4vectors (>= 0.21.13),
                r-bioc-iranges (>= 2.15.12),
                r-bioc-zlibbioc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
 Homepage: https://bioconductor.org/packages/XVector/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit
Restrictions: allow-stderr

## r-bioc-xvector 0.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,13 +3,13 @@
         Bioconductor
 Description: Provides memory efficient S4 classes for storing sequences
 	"externally" (e.g. behind an R external pointer, or on disk).
-Version: 0.26.0
+Version: 0.28.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
 Maintainer: Hervé Pagès <hpages@fredhutch.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
-        0.21.13), IRanges (>= 2.15.12)
+        0.25.14), IRanges (>= 2.21.6)
 Imports: methods, utils, zlibbioc, BiocGenerics, S4Vectors, IRanges
 LinkingTo: S4Vectors, IRanges
 Suggests: Biostrings, drosophila2probe, RUnit
@@ -23,9 +23,9 @@
         reverse-methods.R slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_10
-git_last_commit: 736c949
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: 8bda737
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-10-30 00:39:41 UTC; biocbuild
+Packaged: 2020-04-28 00:53:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Charles Plessy <plessy@debian.org>  Sun, 17 May 2020 19:31:11 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.19.2),
-               r-bioc-s4vectors (>= 0.21.13),
-               r-bioc-iranges (>= 2.15.12),
+               r-bioc-s4vectors (>= 0.25.14),
+               r-bioc-iranges (>= 2.21.6),
                r-bioc-zlibbioc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
 Homepage: https://bioconductor.org/packages/XVector/
+Rules-Requires-Root: no
 
 Package: r-bioc-xvector
 Architecture: any

## r-bioc-xvector 0.30.0

=== DESCRIPTION ===
Package: XVector
Title: Foundation of external vector representation and manipulation in
        Bioconductor
Description: Provides memory efficient S4 classes for storing sequences
	"externally" (e.g. behind an R external pointer, or on disk).
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/XVector
BugReports: https://github.com/Bioconductor/XVector/issues
Version: 0.30.0
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès and Patrick Aboyoun
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
        0.27.12), IRanges (>= 2.23.9)
Imports: methods, utils, tools, zlibbioc, BiocGenerics, S4Vectors,
        IRanges
LinkingTo: S4Vectors, IRanges
Suggests: Biostrings, drosophila2probe, RUnit
Collate: io-utils.R RDS-random-access.R SharedVector-class.R
        SharedRaw-class.R SharedInteger-class.R SharedDouble-class.R
        XVector-class.R XRaw-class.R XInteger-class.R XDouble-class.R
        XVectorList-class.R XRawList-class.R XRawList-comparison.R
        XIntegerViews-class.R XDoubleViews-class.R OnDiskRaw-class.R
        RdaCollection-class.R RdsCollection-class.R
        intra-range-methods.R compact-methods.R reverse-methods.R
        slice-methods.R view-summarization-methods.R
        updateObject-methods.R zzz.R
git_url: https://git.bioconductor.org/packages/XVector
git_branch: RELEASE_3_12
git_last_commit: 985e963
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 04:18:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.30.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 11:34:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.19.2),
-               r-bioc-s4vectors (>= 0.25.14),
-               r-bioc-iranges (>= 2.21.6),
+               r-bioc-s4vectors (>= 0.27.12),
+               r-bioc-iranges (>= 2.23.9),
                r-bioc-zlibbioc
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/XVector.html .*/XVector_([\d\.]+)\.tar\.gz

## r-bioc-xvector 0.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,12 +6,12 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/XVector
 BugReports: https://github.com/Bioconductor/XVector/issues
-Version: 0.30.0
+Version: 0.34.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
-Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.19.2), S4Vectors (>=
+Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.27.12), IRanges (>= 2.23.9)
 Imports: methods, utils, tools, zlibbioc, BiocGenerics, S4Vectors,
         IRanges
@@ -27,9 +27,9 @@
         slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_12
-git_last_commit: 985e963
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 06adb25
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 04:18:11 UTC; biocbuild
+Packaged: 2021-10-26 23:05:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.34.0

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 01:09:00 +0530

r-bioc-xvector (0.32.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * New upstream version
  * d/u/metadata: Added ref to guix
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * watch file standard 4 (routine-update)

  [ Andreas Tille ]
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Sep 2021 13:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.19.2),
+               r-bioc-biocgenerics (>= 0.37.0),
                r-bioc-s4vectors (>= 0.27.12),
                r-bioc-iranges (>= 2.23.9),
                r-bioc-zlibbioc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
 Homepage: https://bioconductor.org/packages/XVector/

## r-bioc-xvector 0.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/XVector
 BugReports: https://github.com/Bioconductor/XVector/issues
-Version: 0.34.0
+Version: 0.36.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
@@ -27,9 +27,9 @@
         slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_14
-git_last_commit: 06adb25
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: ff6f818
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 23:05:08 UTC; biocbuild
+Packaged: 2022-04-26 22:23:51 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.36.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 08:32:09 +0200

## r-bioc-xvector 0.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/XVector
 BugReports: https://github.com/Bioconductor/XVector/issues
-Version: 0.36.0
+Version: 0.38.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
@@ -27,9 +27,9 @@
         slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_15
-git_last_commit: ff6f818
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 8cad084
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 22:23:51 UTC; biocbuild
+Packaged: 2022-11-01 23:20:06 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.38.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 22:17:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-xvector
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
+Homepage: https://bioconductor.org/packages/XVector/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-bioc-s4vectors (>= 0.27.12),
                r-bioc-iranges (>= 2.23.9),
                r-bioc-zlibbioc
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
-Homepage: https://bioconductor.org/packages/XVector/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-xvector
 Architecture: any

## r-bioc-xvector 0.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/XVector
 BugReports: https://github.com/Bioconductor/XVector/issues
-Version: 0.38.0
+Version: 0.40.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
@@ -27,9 +27,9 @@
         slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_16
-git_last_commit: 8cad084
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 875b4b4
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 23:20:06 UTC; biocbuild
+Packaged: 2023-04-25 23:13:34 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.40.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Jul 2023 23:48:17 +0000

## r-bioc-xvector 0.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/XVector
 BugReports: https://github.com/Bioconductor/XVector/issues
-Version: 0.40.0
+Version: 0.42.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
@@ -27,9 +27,9 @@
         slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_17
-git_last_commit: 875b4b4
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: e2c2897
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 23:13:34 UTC; biocbuild
+Packaged: 2023-10-24 23:30:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.42.0-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 00:31:07 +0000

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-zlibbioc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
Homepage: https://bioconductor.org/packages/XVector/
Rules-Requires-Root: no

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.44.0

=== debian/changelog ===
r-bioc-xvector (0.44.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: move unmanaged build-dep, architecture-is-64-bit, to the
    end of the list so that dh-update-R doesn't ignore the r-* deps.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:26:42 +0200

r-bioc-xvector (0.44.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 12:35:06 +0200

r-bioc-xvector (0.44.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version. Closes: #1071353
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:50:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.37.0),
-               r-bioc-s4vectors,
-               r-bioc-iranges,
-               r-bioc-zlibbioc
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-zlibbioc (>= 1.50.0),
+               architecture-is-64-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
@@ -22,9 +23,14 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-zlibbioc (>= 1.50.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biostrings (>= 2.72.1)
 Description: BioConductor representation and manpulation of external sequences
  This BioConductor package provides memory efficient S4 classes for storing
  sequences "externally" (behind an R external pointer, or on disk).

## r-bioc-xvector 0.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/XVector
 BugReports: https://github.com/Bioconductor/XVector/issues
-Version: 0.42.0
+Version: 0.46.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès and Patrick Aboyoun
@@ -27,9 +27,10 @@
         slice-methods.R view-summarization-methods.R
         updateObject-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/XVector
-git_branch: RELEASE_3_18
-git_last_commit: e2c2897
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_20
+git_last_commit: 1c8f81d
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2023-10-24 23:30:11 UTC; biocbuild
+Packaged: 2024-10-30 03:25:23 UTC; biocbuild

=== debian/changelog ===
r-bioc-xvector (0.46.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:42:15 +0100

r-bioc-xvector (0.46.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:57:36 +0100

=== debian/control ===
Source: r-bioc-xvector
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-zlibbioc,
               architecture-is-64-bit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-xvector
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-xvector.git
Homepage: https://bioconductor.org/packages/XVector/
Rules-Requires-Root: no

Package: r-bioc-xvector
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manpulation of external sequences
 This BioConductor package provides memory efficient S4 classes for storing
 sequences "externally" (behind an R external pointer, or on disk).

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/XVector.html .*/XVector_([\d\.]+)\.tar\.gz
